CVE-2020-12674

NameCVE-2020-12674
DescriptionIn Dovecot before 2.3.11.3, sending a specially formatted RPA request will crash the auth service because a length of zero is mishandled.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2328-1, DSA-4745-1
NVD severitymedium
Debian Bugs968302

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
dovecot (PTS)stretch1:2.2.27-3+deb9u5vulnerable
stretch (security)1:2.2.27-3+deb9u6fixed
buster1:2.3.4.1-5+deb10u4fixed
buster (security)1:2.3.4.1-5+deb10u3fixed
bullseye, sid1:2.3.11.3+dfsg1-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
dovecotsourcestretch1:2.2.27-3+deb9u6DLA-2328-1
dovecotsourcebuster1:2.3.4.1-5+deb10u3DSA-4745-1
dovecotsource(unstable)1:2.3.11.3+dfsg1-1968302

Notes

https://www.openwall.com/lists/oss-security/2020/08/12/3
https://github.com/dovecot/core/commit/69ad3c902ea4bbf9f21ab1857d8923f975dc6145

Search for package or bug name: Reporting problems